﻿using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Voitures.Models
{
    public class Voiture
    {
        public int Id { get; set; }
        public string Nom { get; set; }
        public string Marque { get; set; }
        [Column(TypeName ="decimal(18, 2)")]
        public decimal Prix { get; set; }
        [Display(Name ="Date de fabrication")]
        [DataType(DataType.Date)]
        public DateTime DateFabrication { get; set; }

    }
}
